%define	name	asc
%define	version	1.14.0.0
%define	release	1mdk
%define	Summary	Advanced Strategic Command

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://heanet.dl.sourceforge.net/sourceforge/asc-hq/%{name}-source-%{version}.tar.bz2
Source1:        %{name}-16x16.png
Source2:	%{name}-32x32.png
Source3:	%{name}-48x48.png
License:	GPL
Group:		Games/Strategy
URL:		http://www.asc-hq.org/
Packager:	Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	SDL-devel SDL_image-devel SDL_mixer-devel SDLmm-devel paragui-devel bzip2-devel
BuildRequires:	jpeg-devel nas-devel XFree86-devel png-devel libogg-devel zlib-devel

%description
ASC is a free, turn based strategy game. It is designed in the tradition
of the Battle Isle series from Bluebyte.

%prep
%setup -q
# there seems to be a conflict with libintl defines
# find . -type f -exec perl -pi -e 's/gettext/gettex_/g' {} \;

%build
%configure2_5x	--enable-genparse \
		--disable-paraguitest \
		--bindir=%{_gamesbindir} 
%{__perl} -pi -e 's|^SUBDIRS = (.*)music(.*)|SUBDIRS = $1 $2|' data/Makefile
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall bindir=$RPM_BUILD_ROOT%{_gamesbindir}

%{__install} -d $RPM_BUILD_ROOT%{_menudir}
%{__cat} <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		icon=%{name}.png \
		needs="x11" \
		section="Amusement/Strategy" \
		title="%{Summary}"\
		longtitle="%{Summary}"
EOF

%{__install} %{SOURCE1} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
%{__install} %{SOURCE2} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
%{__install} %{SOURCE3} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(755,root,root,755)
%{_gamesbindir}/%{name}*
%defattr(644,root,root,755)
%doc README COPYING AUTHORS doc/{*.{html,css},graphics}
%{_gamesdatadir}/%{name}
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Mon Feb  9 2004 Guillaume Cottenceau <gc@mandrakesoft.com> 1.14.0.0-1mdk
- new version

* Tue Dec 30 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.13.9.1-1mdk
- 1.13.9.1 (works)

* Mon Dec 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.13.9.0-1mdk
- 1.13.9.0
- add post/postun menu commands

* Wed Nov 26 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.13.8.0-3mdk
- fix menu section (s/Arcade/Strategy/)

* Tue Oct 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.13.8.0-2mdk
- buildrequires
- added menuitem
- added icons
- moved binary to %%{_gamesbindir}
- cleanups

* Mon Aug 25 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.13.8.0-1mdk
- 1.13.8.0

* Wed Jul 09 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.13.7-1mdk
- 1.13.7

* Mon Jun 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.13.6.0-1mdk
- 1.13.6.0

* Thu May 22 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.13.5.1-1mdk
- new version

* Fri Apr 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.13.4.0-2mdk
- fix buildrequires

* Sat Apr 12 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.13.4.0-1mdk
- 1.13.4
- drop Patch0, no longer needed

* Sat Mar 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.13.2-1mdk
- 1.13.2

* Fri Mar 21 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.13.1.0-1mdk
- 1.13.1.0

* Mon Mar 10 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.13.0.0-1mdk
- new version

* Fri Jan  3 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.12.0.0-1mdk
- 1.12.0.0

* Mon Sep  2 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.10.2-4mdk
- rebuild

* Sun Jul 21 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.10.2-3mdk
- recompile against new vorbis stuff

* Wed May 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.10.2-2mdk
- recompile against latest libstdc++, paragui and SDLmm

* Mon Apr 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.10.2-1mdk
- new version
- build for new alsa

* Wed Mar 20 2002 Lenny Cartier <lenny@mandrasoft.com> 1.10.1-1mdk
- 1.10.1

* Wed Mar  6 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.10.0-1mdk
- first mdk package
